package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 呼叫接口对象 company_voice_api
 * 
 * @author fs
 * @date 2021-10-04
 */
public class CompanyVoiceApi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long apiId;

    /** API接口名 */
    @Excel(name = "API接口名")
    private String apiName;

    /** KEY */
    @Excel(name = "apiType")
    private String apiType;

    /** JSON */
    @Excel(name = "JSON")
    private String apiJson;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getApiId() {
        return apiId;
    }

    public void setApiId(Long apiId) {
        this.apiId = apiId;
    }

    public String getApiName() {
        return apiName;
    }

    public void setApiName(String apiName) {
        this.apiName = apiName;
    }

    public String getApiType() {
        return apiType;
    }

    public void setApiType(String apiType) {
        this.apiType = apiType;
    }

    public String getApiJson() {
        return apiJson;
    }

    public void setApiJson(String apiJson) {
        this.apiJson = apiJson;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
